From ab91bbdb4a22a9b9b13d266313a4f2713721c6dd Mon Sep 17 00:00:00 2001
From: Yang Hamo Bai <hamo.by@gmail.com>
Date: Wed, 29 Jun 2011 21:53:18 +0800
Subject: [PATCH 06/12] ARM: added basic layout for coreboot ARM

and fix a bug that we re-define the
ARCH-$(CONFIG_ARCH_X86)

Signed-off-by: Yang Hamo Bai <hamo.by@gmail.com>
---
 Makefile.inc         |    1 -
 src/Kconfig          |    8 ++++++++
 src/arch/arm/Kconfig |    3 +++
 3 files changed, 11 insertions(+), 1 deletions(-)
 create mode 100644 src/arch/arm/Kconfig

diff --git a/Makefile.inc b/Makefile.inc
index 8191a04..8df396e 100644
--- a/Makefile.inc
+++ b/Makefile.inc
@@ -24,7 +24,6 @@ export KERNELVERSION      := 4.0$(REV)
 
 #######################################################################
 # Basic component discovery
-ARCHDIR-$(CONFIG_ARCH_X86) := x86
 MAINBOARDDIR=$(call strip_quotes,$(CONFIG_MAINBOARD_DIR))
 export MAINBOARDDIR
 
diff --git a/src/Kconfig b/src/Kconfig
index 7e6214a..9c9fbf8 100644
--- a/src/Kconfig
+++ b/src/Kconfig
@@ -122,10 +122,18 @@ config ARCH_X86
 	bool
 	default n
 
+config ARCH_ARM
+        bool
+	default n
+
 if ARCH_X86
 source src/arch/x86/Kconfig
 endif
 
+if ARCH_ARM
+source src/arch/arm/Kconfig
+endif
+
 menu "Chipset"
 
 comment "CPU"
diff --git a/src/arch/arm/Kconfig b/src/arch/arm/Kconfig
new file mode 100644
index 0000000..7a7f42f
--- /dev/null
+++ b/src/arch/arm/Kconfig
@@ -0,0 +1,3 @@
+menu "Architecture (ARM)"
+
+endmenu
-- 
1.7.6

